Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken Class Reference

This token is used when a user has been matched by a foreign user provider. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken:

## Public Member Functions
| __construct (UserInterface $user, $originalTokenType, $credentials, $providerKey, array $roles=[])
| getOriginalTokenType ()
| serialize ()
| unserialize ($serialized)

## Private Attributes
| $originalTokenType

## Detailed Description

This token is used when a user has been matched by a foreign user provider.

It is injected in SecurityContext to replace the original token as this one holds a new user.

Definition at line 15 of file InteractiveLoginToken.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken::__construct | ( | UserInterface | $user,
|  |  | $originalTokenType,
|  |  | $credentials,
|  |  | $providerKey,
|  | array | $roles = `[]`
| ) |  |

Definition at line 20 of file InteractiveLoginToken.php.

References eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken\$originalTokenType.

## Member Function Documentation

## ◆ getOriginalTokenType()

eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken::getOriginalTokenType | ( |  | ) |

Returns
  string

Definition at line 29 of file InteractiveLoginToken.php.

References eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken\$originalTokenType.

## ◆ serialize()

eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken::serialize | ( |  | ) |

Definition at line 34 of file InteractiveLoginToken.php.

## ◆ unserialize()

eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken::unserialize | ( |  | $serialized | ) |

Definition at line 39 of file InteractiveLoginToken.php.

## Member Data Documentation

## ◆ $originalTokenType

eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken::$originalTokenType
| private

Definition at line 18 of file InteractiveLoginToken.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken\__construct(), and eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken\getOriginalTokenType().

The documentation for this class was generated from the following file:

- InteractiveLoginToken.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.